<template>
  <section class="grid gap-4 xl:gap-6 grid-cols-1 xl:grid-cols-2 mt-4">
    <section class="flex flex-col gap-4 xl:gap-6 items-start">
      <Container class="w-full">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          height="76"
          width="100%"
          class="mt-4"
        />
      </Container>

      <Container class="w-full">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <section class="mt-4">
          <v-skeleton-loader
            v-for="n in 3"
            :key="n"
            height="32"
            width="100%"
            class="mt-4"
          />
        </section>
      </Container>

      <Container class="w-full">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <section class="mt-4">
          <v-skeleton-loader
            v-for="n in 3"
            :key="n"
            height="32"
            width="100%"
            class="mt-4"
          />
        </section>
      </Container>
    </section>

    <Container class="w-full">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <section class="mt-4">
        <v-timeline
          class="[&_.v-timeline-divider\_\_dot]:mt-[8px] pt-4"
          density="comfortable"
          align="start"
          side="end"
          dot-color="grey"
          size="20"
          truncate-line="both"
          fill-dot
          hide-opposite
        >
          <v-timeline-item
            v-for="n in 3"
            :key="n"
            width="100%"
            side="end"
            class="[&_.v-timeline-item\_\_body]:!px-6"
          >
            <section class="flex pb-8 mt-1">
              <section class="flex-auto">
                <v-skeleton-loader
                  width="70%"
                  height="22"
                />

                <v-skeleton-loader
                  class="rounded-full mt-2"
                  width="128"
                  height="24"
                />

                <v-skeleton-loader
                  class="mt-4"
                  width="35%"
                  height="22"
                />

                <v-skeleton-loader
                  class="mt-2"
                  width="30%"
                  height="22"
                />
              </section>
            </section>

            <v-divider
              thickness="1"
              class="border-gray-800"
            />
          </v-timeline-item>
        </v-timeline>
      </section>
    </Container>
  </section>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>